#include <proc.h>
#include <sched.h>
#include <mittos/graphics.h>

extern gfx_context *term_fb;

void thread1()
{
    int a = 0;
    while(1) {
        putCharacter(term_fb, 0, 0, RGB(255,255,0), RGB(0,0,0), '0'+(a++%10));
        flip(term_fb);
        sched_yield();
    }
}

void thread2()
{
    int a = 0;
    while(1) {
        putCharacter(term_fb, 10, 10, RGB(0,255,255), RGB(0,0,0), 'A'+(a++%10));
        flip(term_fb);
        sched_yield();
    }
}


void TEMP_test_scheduler()
{
    struct thread *th1 = new_thread(thread1);
    scheduler_insert(th1);

    struct thread *th2 = new_thread(thread2);
    scheduler_insert(th2);
}